libzypp 17.37.10

zypp::MediaProductEntry Struct Reference

Represents an available product in media. More...

`#include <zypp/MediaProducts.h>`

## Public Member Functions
| MediaProductEntry (Pathname dir_r="/", std::string name_r=std::string())
| Ctor.
bool | operator< (const MediaProductEntry &rhs) const

## Public Attributes
Pathname | _dir
std::string | _name

## Detailed Description

Represents an available product in media.

Definition at line 31 of file MediaProducts.h.

## Constructor & Destructor Documentation

## ◆ MediaProductEntry()

zypp::MediaProductEntry::MediaProductEntry | ( | Pathname | dir_r = "/",
|  | std::string | name_r = std::string() )
| inline

Ctor.

Definition at line 39 of file MediaProducts.h.

## Member Function Documentation

## ◆ operator<()

bool zypp::MediaProductEntry::operator< | ( | const MediaProductEntry & | rhs | ) | const
| inline

Definition at line 44 of file MediaProducts.h.

## Member Data Documentation

## ◆ _dir

Pathname zypp::MediaProductEntry::_dir

Definition at line 33 of file MediaProducts.h.

## ◆ _name

std::string zypp::MediaProductEntry::_name

Definition at line 34 of file MediaProducts.h.

The documentation for this struct was generated from the following file:

- zypp/MediaProducts.h